#include "sp.h"

__kernel void compute_rhs6(__global double *g_rhs,
                           int nx2,
                           int ny2,
                           int nz2)
{
  int i, j, k, m;

  k = get_global_id(2) + 1;
  j = get_global_id(1) + 1;
  i = get_global_id(0) + 1;
  if (k > nz2 || j > ny2 || i > nx2) return;

  __global double (*rhs)[JMAXP+1][IMAXP+1][5] = 
    (__global double (*)[JMAXP+1][IMAXP+1][5])g_rhs;

  for (m = 0; m < 5; m++) {
    rhs[k][j][i][m] = rhs[k][j][i][m] * dt;
  }
}

